{{- if and .Values.persistence.config.enabled (not .Values.persistence.config.existingClaim) }}
kind: PersistentVolumeClaim
apiVersion: v1
metadata:
  name: {{ include "rclone.fullname" . }}-config
  labels:
    {{- include "rclone.labels" . | nindent 4 }}
  annotations:
  {{- if .Values.persistence.storageClass }}
    volume.beta.kubernetes.io/storage-class: {{ .Values.persistence.storageClass | quote }}
  {{- else }}
    volume.alpha.kubernetes.io/storage-class: default
  {{- end }}
spec:
  accessModes:
    - {{ .Values.persistence.config.accessMode | quote }}
  resources:
    requests:
      storage: {{ .Values.persistence.config.size | quote }}
{{- end }}
